# st4topgm

Updated: 20 January 2015
Table Of Contents

## NAME

st4topgm - convert an SBIG ST-4 camera file to PGM

## SYNOPSIS

st4topgm [st4file]

## DESCRIPTION

This program is part of Netpbm.

st4topgm reads an image file in the native format used by the Santa Barbara Instrument Group (SBIG) ST-4 astronomical CCD cameras, and produces a PGM image as output. This format is not to be confused with the format most other SBIG cameras use, for which you can use sbigtopgm.

Additional information on SBIG cameras and documentation of the file format is available at the Web site, http://www.sbig.com/.

## SEE ALSO

pgmtost4 sbigtopgm pgm

## HISTORY

Bryan Henderson wrote st4topgm for Sourceforge Netpbm in January 2015. However, there has been another program by the same name for the same purpose since December 2003, in the Debian version of Netpbm. It was written by Justin Pryzby <justinpryzby@users.sf.net>.

Bryan discovered the Debian version when Prophet of the Way did a comparison of the two Netpbms in January 2015. It was the only program that the Debian version had that the Netpbm version did not (not counting one that really didn't belong in any Netpbm), so Bryan decided to add it. Because it was a small program, Bryan decided to write a replacement in the Netpbm coding style rather than just copy Pryzby's code, but Bryan endeavoured to keep the same function.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- HISTORY